﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Declaration" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Declaration Common Validations</title>
    


    <rule context="declaration2.02.01:Declaration[not(@i:nil='true' or @i:nil='1')]/prsnunstrcnm1.02.01:PersonUnstructuredName[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonUnstructuredName.FullName.Text[not(@i:nil='true' or @i:nil='1')]">

        <!--  
            Rule: VR.ATO.GEN.430252            
            IF LENGTH(pyde.xx.xx:PersonUnstructuredName.FullName.Text) > 200
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430252" diagnostics="DVR.ATO.GEN.430252" 
                test="not(
                            string-length(normalize-space(.)) &gt; 200
                          )"/>
        <!--
              IF (pyde.xx.xx:PersonUnstructuredName.FullName.Text <> NULLORBLANK AND pyde.xx.xx:PersonUnstructuredName.FullName.Text CONTAINS SET("","",""*""))
                 RETURN VALIDATION MESSAGE
              ENDIF
        -->
        <assert id="VR.ATO.GEN.438035" diagnostics="DVR.ATO.GEN.438035" 
                test="not(                         
                          matches(.,'^(.*)(,|\*)(.*)$')                        
                         )"/>

</rule>

<rule context="declaration2.02.01:Declaration[not(@i:nil = 'true' or @i:nil='1')]">
     
        <!--
            Rule ID: VR.ATO.GEN.430255            
            IF pyde.xx.xx:Declaration.Signature.Date <> NULL 
            AND pyde.xx.xx:Declaration.Signature.Date > DATE(TODAY)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430255" diagnostics="DVR.ATO.GEN.430255"
                test="not(
                        pyin.02.00:Declaration.Signature.Date[not(@i:nil='true' or @i:nil='1')]
                        and function:IsDate1GreaterThanDate2(pyin.02.00:Declaration.Signature.Date[not(@i:nil='true' or @i:nil='1')], fn:current-dateTime())
                      )"/>

</rule>

    
</pattern>
