﻿<?xml version="1.0" encoding="utf-8"?>
<schema xmlns:iso="http://purl.oclc.org/dsdl/schematron" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" schemaVersion="ISO19757-3" queryBinding="xslt2" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Validation of Process Form for SBR Lodge Web Service</title>

<!-- XML/SOAP namespaces -->
<ns prefix="xs" uri="http://www.w3.org/2001/XMLSchema" />
<ns prefix="i" uri="http://www.w3.org/2001/XMLSchema-instance" />
<ns prefix="Exslt.ExsltStrings" uri="http://gotdotnet.com/exslt/strings" />
<ns prefix="xbrli" uri="http://www.xbrl.org/2003/instance" />
<!-- EXSLT and extension namespaces -->
<ns prefix="xbrldi" uri="http://xbrl.org/2006/xbrldi" />
<ns prefix="xbrldt" uri="http://xbrl.org/2005/xbrldt" />
<ns prefix="link" uri="http://www.xbrl.org/2003/linkbase" />
<ns prefix="xlink" uri="http://www.w3.org/1999/xlink" />
<ns prefix="ref" uri="http://www.xbrl.org/2006/ref" />
<ns prefix="iso4217" uri="http://www.xbrl.org/2003/iso4217" />
<ns prefix="address2.02.02" uri="http://sbr.gov.au/comnmdle/comnmdle.addressdetails2.02.02.module" />
<!-- XBRL/XLink namespaces -->
<ns prefix="xmime" uri="http://www.w3.org/2005/05/xmlmime" />
<ns prefix="tech" uri="http://sbr.gov.au/fdtn/sbr.01.02.tech" />
<ns prefix="dtyp" uri="http://sbr.gov.au/fdtn/sbr.02.00.dtyp" />
<ns prefix="orgname1.02.00" uri="http://sbr.gov.au/comnmdle/comnmdle.organisationname1.02.00.module" />
<ns prefix="pyid.02.00" uri="http://sbr.gov.au/icls/py/pyid/pyid.02.00.data" />
<ns prefix="rvctc3.02.00" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.00.data" />
<ns prefix="rvctc3.02.02" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.02.data" />
<ns prefix="rvctc3.02.15" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.15.data" />
<ns prefix="rvctc3.02.04" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.04.data" />
<!-- Core SBR namespaces -->
<ns prefix="rvctc3.02.14" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.14.data" />
<ns prefix="pyde.02.00" uri="http://sbr.gov.au/icls/py/pyde/pyde.02.00.data" />
<ns prefix="pyde.02.21" uri="http://sbr.gov.au/icls/py/pyde/pyde.02.21.data" />
<ns prefix="RprtPyType.02.00" uri="http://sbr.gov.au/dims/RprtPyType.02.00.dims" />
<ns prefix="RprtPyType.02.11" uri="http://sbr.gov.au/dims/RprtPyType.02.11.dims" /> <!--sdq-->
<ns prefix="PrdType.02.00" uri="http://sbr.gov.au/dims/PrdType.02.00.dims" />
<ns prefix="AssblFrgnIncClass.02.00" uri="http://sbr.gov.au/dims/AssblFrgnIncClass.02.00.dims" />
<!-- Taxonomy namespaces -->
<ns prefix="RelPrdDrtn.02.04" uri="http://sbr.gov.au/dims/RelPrdDrtn.02.04.dims" />
<ns prefix="RelPrdDrtn.02.04" uri="http://sbr.gov.au/dims/RelPrdDrtn.02.04.dims" />
<ns prefix="pyde.02.05" uri="http://sbr.gov.au/icls/py/pyde/pyde.02.05.data" />
<ns prefix="prsnstrcnm3.02.01" uri="http://sbr.gov.au/comnmdle/comnmdle.personstructuredname3.02.01.module" />
<ns prefix="prsnunstrcnm1.02.01" uri="http://sbr.gov.au/comnmdle/comnmdle.personunstructuredname1.02.01.module" />
<ns prefix="declaration2.02.00" uri="http://sbr.gov.au/comnmdle/comnmdle.declaration2.02.00.module" />
<ns prefix="declaration2.02.01" uri="http://sbr.gov.au/comnmdle/comnmdle.declaration2.02.01.module" />
<ns prefix="bafpo6.02.05" uri="http://sbr.gov.au/icls/baf/bafpo/bafpo6.02.05.data" />
<ns prefix="bafpr1.02.04" uri="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.04.data" />
<ns prefix="bafpr2.02.04" uri="http://sbr.gov.au/icls/baf/bafpr/bafpr2.02.04.data" />
<ns prefix="bafpr2.02.05" uri="http://sbr.gov.au/icls/baf/bafpr/bafpr2.02.05.data" />
<ns prefix="bafpr1.02.00" uri="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.00.data" />
<ns prefix="rvctc4.02.02" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc4.02.02.data" />
<ns prefix="rvctc4.02.03" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc4.02.03.data" />
<ns prefix="ls.0004.lodge.request.02.00" uri="http://sbr.gov.au/rprt/ato/ls/ls.0004.lodge.request.02.01.report" />
<ns prefix="ls.0004.private.02.00" uri="http://sbr.gov.au/rprt/ato/ls/ls.0004.private.02.00.module" />
<ns prefix="bafot.02.00" uri="http://sbr.gov.au/icls/baf/bafot/bafot.02.00.data" />
<ns prefix="bafpo7.02.04" uri="http://sbr.gov.au/icls/baf/bafpo/bafpo7.02.04.data" />
<ns prefix="function" uri="http://ato.gov.au/SWSFunctions" />
<ns prefix="fn" uri="http://www.w3.org/2005/xpath-functions" />


<phase id="Full">
<active pattern="ContextVariables" />
<active pattern="ElementVariables" />
<active pattern="Abstracts" />
<active pattern="DataTypes" />
<active pattern="Lengths" />
<active pattern="Context" />
<active pattern="Mandatories" />
<active pattern="Content" />
</phase>

<phase id="Prerequisites">
<active pattern="ContextVariables" />
<active pattern="ElementVariables" />
<active pattern="Abstracts" />
<active pattern="DataTypes" />
<active pattern="Lengths" />
<active pattern="Context" />
</phase>

<phase id="Mandatories">
<active pattern="ContextVariables" />
<active pattern="ElementVariables" />
<active pattern="Mandatories" />
</phase>

<phase id="Content">
<active pattern="ContextVariables" />
<active pattern="ElementVariables" />
<active pattern="Content" />
<active pattern="Address" />
</phase>

<include href="../Common/Abstracts.sch" />
<include href="../Common/ContextVariables.sch" />
<!-- LS namespaces -->
<include href="../Common/ElementVariables.sch" />
<include href="../Common/Context.sch" />
<include href="../Common/Content.sch" />
<include href="../Common/Mandatories.sch" />
<include href="../Common/FieldPatterns.sch" />
<include href="../Common/DataTypes.sch" />
<include href="../Common/Address.sch" />
<include href="../Diagnostics.sch" />
</schema>