﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Content" xmlns="http://purl.oclc.org/dsdl/schematron">
  <title>Content Validations</title>

  <rule context="xbrli:xbrl[not(@i:nil='true')]">


    <!-- Rule ID: VR.ATO.TRTAMIS.000524

        IF [TRTAMIS311] <> ([TRTAMIS309] + [TRTAMIS318] - [TRTAMIS319] + [TRTAMIS320] - [TRTAMIS321] - [TRTAMIS322] - [TRTAMIS310])
          RETURN VALIDATION MESSAGE
        ENDIF

	-->
    <assert id="VR.ATO.TRTAMIS.000524" diagnostics="DVR.ATO.TRTAMIS.000524" test="not(
							$trtamis311 != (sum($trtamis309|$trtamis318|$trtamis320) - sum($trtamis319|$trtamis321|$trtamis322|$trtamis310))
					  )" />

    <!-- Rule ID: VR.ATO.TRTAMIS.000602

        IF [TRTAMIS323] = NULL AND [TRTAMIS313] <> NULLORBLANK
           RETURN VALIDATION MESSAGE
        ENDIF
	-->
    <assert id="VR.ATO.TRTAMIS.000602" diagnostics="DVR.ATO.TRTAMIS.000602" test="not(
						  (
                not($trtamis323[not(@i:nil='true')])
                and
                $trtamis313[not(@i:nil='true') and string-length(.) != 0]
              ) 
					  )" />

    <!-- Rule ID: VR.ATO.TRTAMIS.000603

      IF ([TRTAMIS314] > 0 OR [TRTAMIS327] > 0) AND ([TRTAMIS261] + [TRTAMIS325] + [TRTAMIS262] + [TRTAMIS326]) > ([TRTAMIS260] + [TRTAMIS324])
        RETURN VALIDATION MESSAGE
      ENDIF

	-->
    <assert id="VR.ATO.TRTAMIS.000603" diagnostics="DVR.ATO.TRTAMIS.000603" test="not(
						($trtamis314 &gt;0 or $trtamis327 &gt;0) and 
            (sum($trtamis261|$trtamis325|$trtamis262|$trtamis326) &gt; 
            (sum($trtamis260|$trtamis324))) 
						  )" />

    <!-- Rule ID: VR.ATO.TRTAMIS.000618


        IF [TRTAMIS317] = NULL AND [TRTAMIS313] <> NULLORBLANK 
          RETURN VALIDATION MESSAGE 
        ENDIF
 	-->
    <assert id="VR.ATO.TRTAMIS.000618" diagnostics="DVR.ATO.TRTAMIS.000618" test="not(
						  (
                not($trtamis317[not(@i:nil='true')])
                and
                $trtamis313[not(@i:nil='true') and string-length(.) != 0]
              ) 
					  )" />

  </rule>






  </pattern>
