<?xml version="1.0" encoding="UTF-8" standalone="yes"?><xsl:stylesheet xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:saxon="http://saxon.sf.net/" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:iso="http://purl.oclc.org/dsdl/schematron" xmlns:xhtml="http://www.w3.org/1999/xhtml" xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns:Exslt.ExsltStrings="http://gotdotnet.com/exslt/strings" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xbrldi="http://xbrl.org/2006/xbrldi" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:ref="http://www.xbrl.org/2006/ref" xmlns:iso4217="http://www.xbrl.org/2003/iso4217" xmlns:xmime="http://www.w3.org/2005/05/xmlmime" xmlns:tech="http://sbr.gov.au/fdtn/sbr.01.02.tech" xmlns:bafpo6.02.05="http://sbr.gov.au/icls/baf/bafpo/bafpo6.02.05.data" xmlns:bafpr1.02.00="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.00.data" xmlns:bafpr1.02.04="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.04.data" xmlns:bafpr2.02.00="http://sbr.gov.au/icls/baf/bafpr/bafpr2.02.00.data" xmlns:declaration2.02.00="http://sbr.gov.au/comnmdle/comnmdle.declaration2.02.00.module" xmlns:declaration2.02.01="http://sbr.gov.au/comnmdle/comnmdle.declaration2.02.01.module" xmlns:lrla.02.00="http://sbr.gov.au/icls/lr/lrla/lrla.02.00.data" xmlns:lrla.02.17="http://sbr.gov.au/icls/lr/lrla/lrla.02.17.data" xmlns:orgname1.02.00="http://sbr.gov.au/comnmdle/comnmdle.organisationname1.02.00.module" xmlns:prsnstrcnm2.02.00="http://sbr.gov.au/comnmdle/comnmdle.personstructuredname2.02.00.module" xmlns:prsnunstrcnm1.02.01="http://sbr.gov.au/comnmdle/comnmdle.personunstructuredname1.02.01.module" xmlns:prsnstrcnm3.02.01="http://sbr.gov.au/comnmdle/comnmdle.personstructuredname3.02.01.module" xmlns:pyde.02.00="http://sbr.gov.au/icls/py/pyde/pyde.02.00.data" xmlns:pyde.02.05="http://sbr.gov.au/icls/py/pyde/pyde.02.05.data" xmlns:pyid.02.00="http://sbr.gov.au/icls/py/pyid/pyid.02.00.data" xmlns:pyin.02.00="http://sbr.gov.au/icls/py/pyin/pyin.02.00.data" xmlns:rvctc1.02.16="http://sbr.gov.au/icls/rvc/rvctc/rvctc1.02.00.data" xmlns:rvctc2.02.14="http://sbr.gov.au/icls/rvc/rvctc/rvctc2.02.14.data" xmlns:rvctc2.02.00="http://sbr.gov.au/icls/rvc/rvctc/rvctc2.02.00.data" xmlns:rvctc3.02.00="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.00.data" xmlns:rvctc4.02.02="http://sbr.gov.au/icls/rvc/rvctc/rvctc4.02.02.data" xmlns:rvctc4.02.03="http://sbr.gov.au/icls/rvc/rvctc/rvctc4.02.03.data" xmlns:pss.0001.lodge.req.02.00="http://sbr.gov.au/rprt/ato/pss/pss.0001.lodge.request.02.00.report" xmlns:function="http://ato.gov.au/SWSFunctions" xmlns:fn="http://www.w3.org/2005/xpath-functions" xmlns:SqNumDim.02.01="http://sbr.gov.au/dims/SqNumDim.02.01.dims" version="2.0"><!--
            Implementers: please note that overriding process-prolog or process-root is
            the preferred method for meta-stylesheets to use where possible.
        -->


<!--PHASES-->


<!--PROLOG-->
<xsl:import xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" href="PSS201502Validator_Functions.xsl"/><xsl:variable xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" name="document-uri"><xsl:value-of select="document-uri(/)"/></xsl:variable><xsl:variable name="Apostrophe">'</xsl:variable><xsl:output xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" method="xml" omit-xml-declaration="no" standalone="yes" indent="yes"/><xsl:param xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" name="full-event">false</xsl:param><xsl:param xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" name="document-sequence-number">1</xsl:param>

<!--XSD TYPES FOR XSLT2-->


<!--KEYS AND FUNCTIONS-->


<!--DEFAULT RULES-->


<!--MODE: SCHEMATRON-SELECT-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-select-full-path"><xsl:apply-templates select="." mode="schematron-get-full-path"/></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-get-full-path"><xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''"><xsl:value-of select="name()"/></xsl:when><xsl:otherwise><xsl:text>*:</xsl:text><xsl:value-of select="local-name()"/><xsl:text>[namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()"/><xsl:text>']</xsl:text></xsl:otherwise></xsl:choose><xsl:variable name="preceding" select="count(preceding-sibling::*[local-name()=local-name(current())                                   and namespace-uri() = namespace-uri(current())])"/><xsl:text>[</xsl:text><xsl:value-of select="1+ $preceding"/><xsl:text>]</xsl:text></xsl:template><xsl:template match="@*" mode="schematron-get-full-path"><xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''">
                            @<xsl:value-of select="name()"/></xsl:when><xsl:otherwise><xsl:text>@*[local-name()='</xsl:text><xsl:value-of select="local-name()"/><xsl:text>' and namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()"/><xsl:text>']</xsl:text></xsl:otherwise></xsl:choose></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-2-->
<!--This mode can be used to generate prefixed XPath for humans-->
<xsl:template match="node() | @*" mode="schematron-get-full-path-2"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)"/><xsl:if test="preceding-sibling::*[name(.)=name(current())]"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text/>/@<xsl:value-of select="name(.)"/></xsl:if></xsl:template><!--MODE: SCHEMATRON-FULL-PATH-3-->
<!--
            This mode can be used to generate prefixed XPath for humans
            (Top-level element has index)
        -->
<xsl:template match="node() | @*" mode="schematron-get-full-path-3"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)"/><xsl:if test="parent::*"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text/>/@<xsl:value-of select="name(.)"/></xsl:if></xsl:template>

<!--MODE: GENERATE-ID-FROM-PATH -->
<xsl:template match="/" mode="generate-id-from-path"/><xsl:template match="text()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.text-', 1+count(preceding-sibling::text()), '-')"/></xsl:template><xsl:template match="comment()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.comment-', 1+count(preceding-sibling::comment()), '-')"/></xsl:template><xsl:template match="processing-instruction()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.processing-instruction-', 1+count(preceding-sibling::processing-instruction()), '-')"/></xsl:template><xsl:template match="@*" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.@', name())"/></xsl:template><xsl:template match="*" mode="generate-id-from-path" priority="-0.5"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:text>.</xsl:text><xsl:value-of select="concat('.',name(),'-',1+count(preceding-sibling::*[name()=name(current())]),'-')"/></xsl:template>

<!--MODE: GENERATE-ID-2 -->
<xsl:template match="/" mode="generate-id-2">U</xsl:template><xsl:template match="*" mode="generate-id-2" priority="2"><xsl:text>U</xsl:text><xsl:number level="multiple" count="*"/></xsl:template><xsl:template match="node()" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*"/><xsl:text>n</xsl:text><xsl:number count="node()"/></xsl:template><xsl:template match="@*" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*"/><xsl:text>_</xsl:text><xsl:value-of select="string-length(local-name(.))"/><xsl:text>_</xsl:text><xsl:value-of select="translate(name(),':','.')"/></xsl:template><!--Strip characters--><xsl:template match="text()" priority="-1"/>

<!--SCHEMA SETUP-->
<xsl:template match="/"><xsl:variable xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" name="results"><xsl:apply-templates select="/" mode="M43"/><xsl:apply-templates select="/" mode="M44"/><xsl:apply-templates select="/" mode="M45"/><xsl:apply-templates select="/" mode="M46"/><xsl:apply-templates select="/" mode="M47"/></xsl:variable><xsl:if xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" test="$results"><xsl:choose><xsl:when test="$full-event='true'"><sbdm:MessageEvent><sbdm:Message.Event.MaximumSeverity.Code><xsl:choose><xsl:when test="$results//sbdm:Message.Event.Item.Severity.Code[.='Error']">Error</xsl:when><xsl:when test="$results//sbdm:Message.Event.Item.Severity.Code[.='Warning']">Warning</xsl:when><xsl:otherwise>Information</xsl:otherwise></xsl:choose></sbdm:Message.Event.MaximumSeverity.Code><sbdm:MessageEventItems><xsl:copy-of select="$results"/></sbdm:MessageEventItems></sbdm:MessageEvent></xsl:when><xsl:otherwise><sbdm:MessageEventItems><xsl:copy-of select="$results"/></sbdm:MessageEventItems></xsl:otherwise></xsl:choose></xsl:if></xsl:template>

<!--SCHEMATRON PATTERNS-->


<!--
                PATTERN VariablesXBRL variables that are applicable accross all of the PSS services.-->
<xsl:variable name="RP.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]                and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/                xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]            ]"/><xsl:variable name="RP.ContextId" select="$RP.Context/@id"/><xsl:variable name="RP.Payer" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]                and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2]/                xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]                              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2]/                xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:SecondaryPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:Payer$')]                              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:typedMember) = 1]               /xbrldi:typedMember [ends-with(@dimension,':SequenceNumberDimension')]                            ]"/><xsl:variable name="RP.Payer.ContextId" select="$RP.Payer/@id"/><xsl:template match="text()" priority="-1" mode="M43"/><xsl:template match="@*|node()" priority="-2" mode="M43"><xsl:apply-templates select="*" mode="M43"/></xsl:template>

<!--
                PATTERN ContextRule validations for contexts that are applicable accross all of the PSS services.-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1')]" priority="1001" mode="M44">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                        @id=$RP.Payer.ContextId                        and xbrli:entity/xbrli:identifier/@scheme != 'http://www.ato.gov.au/tfn')"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.PSS.000016</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         not(function:ValidateTFN(xbrli:entity/xbrli:identifier))                        )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.PSS.000034</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M44"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl" priority="1000" mode="M44">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         not($RP.Payer)                        )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.PSS.000042</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                       count($RP.Payer) &gt; 99                        )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.PSS.000043</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                       xbrli:context[not(@i:nil='true' or @i:nil='1')]/xbrli:entity/xbrli:segment/xbrldi:typedMember/SqNumDim.02.01:SequenceNumberContainer[not(@i:nil='true' or @i:nil='1')]                       and                                            count(distinct-values(xbrli:context[not(@i:nil='true' or @i:nil='1')]/xbrli:entity/xbrli:segment/xbrldi:typedMember/SqNumDim.02.01:SequenceNumberContainer))                        != count(xbrli:context[not(@i:nil='true' or @i:nil='1')]/xbrli:entity/xbrli:segment/xbrldi:typedMember/SqNumDim.02.01:SequenceNumberContainer)                       )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.PSS.000020</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M44"/></xsl:template><xsl:template match="text()" priority="-1" mode="M44"/><xsl:template match="@*|node()" priority="-2" mode="M44"><xsl:apply-templates select="*" mode="M44"/></xsl:template>

<!--
                PATTERN ContentContent Validations-->
<xsl:template match="text()" priority="-1" mode="M45"/><xsl:template match="@*|node()" priority="-2" mode="M45"><xsl:apply-templates select="*" mode="M45"/></xsl:template>

<!--
                PATTERN MandatoriesLength and Monetary Format Validations for PSS-->
<xsl:template match="text()" priority="-1" mode="M46"/><xsl:template match="@*|node()" priority="-2" mode="M46"><xsl:apply-templates select="*" mode="M46"/></xsl:template>

<!--
                PATTERN LengthsLength and Monetary Format Validations for PSS-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M47"><xsl:variable name="thisPayerID" select="@id"/><xsl:variable name="PSS16" select="../pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef = $thisPayerID and not(@i:nil='true' or @i:nil='1')]"/><xsl:variable name="PSS17" select="../pyid.02.00:Identifiers.WithholdingPayerNumber.Identifier[@contextRef = $thisPayerID and not(@i:nil='true' or @i:nil='1')]"/><xsl:variable name="PSS18" select="../lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef = $thisPayerID and not(@i:nil='true' or @i:nil='1' )]"/><xsl:variable name="PSS19" select="../lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef = $thisPayerID and not(@i:nil='true' or @i:nil='1' )]"/><xsl:variable name="PSS20" select="../lrla.02.00:Remuneration.VoluntaryAgreementGross.Amount[@contextRef = $thisPayerID and not(@i:nil='true' or @i:nil='1' )]"/><xsl:variable name="PSS21" select="../lrla.02.00:Remuneration.LabourHireArrangementPaymentGross.Amount[@contextRef = $thisPayerID and not(@i:nil='true' or @i:nil='1')]"/><xsl:variable name="PSS22" select="../rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessForeignResident.Amount[@contextRef = $thisPayerID and not(@i:nil='true' or @i:nil='1' )]"/><xsl:variable name="PSS23" select="../rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessABNNotQuoted.Amount[@contextRef = $thisPayerID and not(@i:nil='true' or @i:nil='1' )]"/><xsl:variable name="PSS24" select="../rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessVoluntaryAgreement.Amount[@contextRef = $thisPayerID and not(@i:nil='true' or @i:nil='1' )]"/><xsl:variable name="PSS25" select="../rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessLabourHireOrOtherPayments.Amount[@contextRef = $thisPayerID and not(@i:nil='true' or @i:nil='1' )]"/><xsl:variable name="PSS26" select="../pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $thisPayerID and not(@i:nil='true' or @i:nil='1' )]"/><xsl:variable name="PSS27" select="../pyde.02.00:PersonNameDetails.GivenName.Text[@contextRef = $thisPayerID and not(@i:nil='true' or @i:nil='1' )]"/><xsl:variable name="PSS28" select="../pyde.02.00:PersonNameDetails.OtherGivenName.Text[@contextRef = $thisPayerID and not(@i:nil='true' or @i:nil='1' )]"/><xsl:variable name="PSS29" select="../pyde.02.00:PersonNameDetails.FamilyName.Text[@contextRef = $thisPayerID and not(@i:nil='true' or @i:nil='1' )]"/><xsl:variable name="PSS31" select="../lrla.02.17:Remuneration.PersonalServicesIncome.AttributedGross.Amount[@contextRef = $thisPayerID and not(@i:nil='true' or @i:nil='1' )]"/><xsl:variable name="PSS32" select="../rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldPersonalServicesIncome.Amount[@contextRef = $thisPayerID and not(@i:nil='true' or @i:nil='1' )]"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                          $thisPayerID = $RP.Payer.ContextId                          and ($PSS17 and string-length(normalize-space($PSS17)) != 0)                           and not(function:ValidateTFN($PSS17))                       )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.PSS.000026</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                          $thisPayerID = $RP.Payer.ContextId                         and                         count($PSS16[string-length(normalize-space($PSS16)) != 0]) &gt; 0                         and not ($PSS16[string-length(normalize-space($PSS16)) != 0 and function:ValidateABN($PSS16)])                       )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.GEN.434223</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $thisPayerID = $RP.Payer.ContextId                         and string-length(normalize-space($PSS26)) &gt; 200                                           )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.PSS.000033</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $thisPayerID = $RP.Payer.ContextId                         and                          ($PSS26 and string-length(normalize-space($PSS26)) != 0) and                         matches($PSS26,'^(.*)(\\|\{|\}|_|#)(.*)$')                                      )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.PSS.000017</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $thisPayerID = $RP.Payer.ContextId                         and string-length(normalize-space($PSS29)) &gt; 38                       )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.PSS.000002</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           $thisPayerID = $RP.Payer.ContextId                           and string-length(normalize-space($PSS27)) &gt; 38                       )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.PSS.000003</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $thisPayerID = $RP.Payer.ContextId                         and string-length(normalize-space($PSS28)) &gt; 38                       )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.PSS.000004</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $thisPayerID = $RP.Payer.ContextId                         and $PSS18                         and not(matches($PSS18,'^[0-9]{1,11}$'))                       )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.PSS.000005</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $thisPayerID = $RP.Payer.ContextId                         and $PSS19                         and not(matches($PSS19,'^[0-9]{1,11}$'))                       )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.PSS.000006</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $thisPayerID = $RP.Payer.ContextId                         and $PSS22                         and not(matches($PSS22,'^[0-9]{1,11}$'))                       )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.PSS.000009</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $thisPayerID = $RP.Payer.ContextId                         and $PSS23                         and not(matches($PSS23,'^[0-9]{1,11}$'))                       )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.PSS.000010</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $thisPayerID = $RP.Payer.ContextId                         and $PSS24                         and not(matches($PSS24,'^[0-9]{1,11}$'))                       )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.PSS.000011</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $thisPayerID = $RP.Payer.ContextId                         and $PSS25                         and not(matches($PSS25,'^[0-9]{1,11}$'))                       )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.PSS.000012</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $thisPayerID = $RP.Payer.ContextId                         and $PSS32                         and not(matches($PSS32, '^[0-9]{1,11}$'))                       )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.PSS.000015</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $thisPayerID = $RP.Payer.ContextId                         and $PSS20                         and not(matches($PSS20,'^[0-9]{1,11}$'))                       )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.PSS.000007</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $thisPayerID = $RP.Payer.ContextId                         and $PSS21                         and not(matches($PSS21,'^[0-9]{1,11}$'))                       )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.PSS.000008</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $thisPayerID = $RP.Payer.ContextId                         and $PSS31                         and not(matches($PSS31,'^[0-9]{1,11}$'))                       )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.PSS.000014</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                             $thisPayerID = $RP.Payer.ContextId                             and                             ($PSS27 and string-length(normalize-space($PSS27)) != 0)                              and                              matches($PSS27, '^(.*)(\\|\{|\}|_|#)(.*)$')                                          )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.PSS.000019</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                             $thisPayerID = $RP.Payer.ContextId                             and                             ($PSS29 and string-length(normalize-space($PSS29)) != 0)                              and                             matches($PSS29, '^(.*)(\\|\{|\}|_|#)(.*)$')                                          )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.PSS.000018</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                             $thisPayerID = $RP.Payer.ContextId                             and                             ($PSS28 and string-length(normalize-space($PSS28)) != 0)                              and                             matches($PSS28, '^(.*)(\\|\{|\}|_|#)(.*)$')                                          )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.PSS.000022</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $thisPayerID = $RP.Payer.ContextId                         and                         ($PSS16 and string-length(normalize-space($PSS16)) != 0)                          and                         ($PSS17 and string-length(normalize-space($PSS17)) != 0)                         )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.PSS.000030</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $thisPayerID = $RP.Payer.ContextId                         and                         ($PSS26 and string-length(normalize-space($PSS26)) != 0)                          and                         ($PSS29 and string-length(normalize-space($PSS29)) != 0)                        )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.PSS.000032</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                          $thisPayerID = $RP.Payer.ContextId                         and                         sum(count($PSS18) +                             count($PSS19) +                               count($PSS20) +                               count($PSS21) +                               count($PSS31)                             )                           &gt; 1                       )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.PSS.000024</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $thisPayerID = $RP.Payer.ContextId                         and                            ($PSS18) and (not($PSS22))                          or ($PSS19) and (not($PSS23))                          or ($PSS20) and (not($PSS24))                          or ($PSS21) and (not($PSS25))                          or ($PSS31) and (not($PSS32))                        )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.PSS.000025</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $thisPayerID = $RP.Payer.ContextId                         and                            (sum($PSS22) &gt; 0 and (sum($PSS22) &gt; (sum($PSS18) *.50 + 1)))                          or (sum($PSS23) &gt; 0 and (sum($PSS23) &gt; (sum($PSS19) *.50 + 1)))                          or (sum($PSS24) &gt; 0 and (sum($PSS24) &gt; (sum($PSS20) *.50 + 1)))                          or (sum($PSS25) &gt; 0 and (sum($PSS25) &gt; (sum($PSS21) *.50 + 1)))                          or (sum($PSS32) &gt; 0 and (sum($PSS32) &gt; (sum($PSS31) *.50 + 1)))                        )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.PSS.000013</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           $thisPayerID = $RP.Payer.ContextId                           and                           sum(count($PSS22) +                               count($PSS23) +                                 count($PSS24) +                                 count($PSS25) +                                 count($PSS32)                               )                           &gt; 1                       )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.PSS.000023</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M47"/></xsl:template><xsl:template match="text()" priority="-1" mode="M47"/><xsl:template match="@*|node()" priority="-2" mode="M47"><xsl:apply-templates select="*" mode="M47"/></xsl:template></xsl:stylesheet>