﻿<?xml version="1.0" encoding="utf-8"?>
<diagnostics xmlns="http://purl.oclc.org/dsdl/schematron">
  <diagnostic id="DVR.ATO.PSS.000016">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PSS.000016</Code>
      <Description>Entity identifier scheme for Reporting Party Payer must be “http://www.ato.gov.au/tfn”</Description>
      <LongDescription></LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PSS.000020">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PSS.000044</Code>
      <Description>Sequence Number Container must not be duplicated</Description>
      <LongDescription>The Sequence Number Container within the Payer Sequence Dimension context instance must not be duplicated</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PSS.000034">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PSS.000034</Code>
      <Description>Reporting Party Payer Tax File Number has failed the algorithm check</Description>
      <LongDescription></LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PSS.000042">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PSS.000042</Code>
      <Description>No Reporting Party Payer attached.</Description>
      <LongDescription></LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PSS.000043">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PSS.000043</Code>
      <Description>Invalid context. The number of Reporting Party Payer contexts must not exceed 99.</Description>
      <LongDescription></LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PSS.000006">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PSS.000006</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Location>lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PSS.000009">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PSS.000009</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessForeignResident.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.434223">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000477</Code>
      <Description>ABN is invalid</Description>
      <LongDescription>The Australian Business Number (ABN) has failed the ABN algorithm check.</LongDescription>
      <Location>pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PSS.000026">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PSS.000026</Code>
      <Description>Withholding payer number is invalid</Description>
      <LongDescription>Withholding payer number must be valid</LongDescription>
      <Location>pyid.02.00:Identifiers.WithholdingPayerNumber.Identifier</Location>
    <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PSS.000033">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PSS.000033</Code>
      <Description>Payment Summary - Payer trading name must not exceed 200 characters</Description>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PSS.000017">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PSS.000017</Code>
      <Description>Payment Summary - Payer trading name contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = [ ] ; : ' " , . ? / or a space character</LongDescription>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PSS.000002">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PSS.000002</Code>
      <Description>Payer's name - Family name must not exceed 38 characters</Description>
      <LongDescription>For Payer's name - Family name, the maximum allowable characters for this form is 38</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PSS.000003">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PSS.000003</Code>
      <Description>Payer's name - Given name must not exceed 38 characters</Description>
      <LongDescription>For Payer's name - Given name, the maximum allowable characters for this form is 38</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.GivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PSS.000004">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PSS.000004</Code>
      <Description>Payer's name - Other given names must not exceed 38 characters</Description>
      <LongDescription>For Payer's name - Other given name, the maximum allowable characters for this form is 38</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PSS.000005">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PSS.000005</Code>
      <Description>Gross payment for foreign resident withholding is not in a valid monetary format</Description>
      <LongDescription>Gross payment for foreign resident withholding must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PSS.000010">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PSS.000010</Code>
      <Description>Tax withheld for withholding where ABN not quoted is not in a valid monetary format</Description>
      <LongDescription>Tax withheld for withholding where ABN not quoted must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessABNNotQuoted.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PSS.000011">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PSS.000011</Code>
      <Description>Tax withheld for Voluntary agreement withholding is not in a valid monetary format</Description>
      <LongDescription>Tax withheld for Voluntary agreement withholding must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessVoluntaryAgreement.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PSS.000012">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PSS.000012</Code>
      <Description>Tax withheld for labour hire or other specified payments withholding is not in a valid monetary format</Description>
      <LongDescription>Tax withheld for labour hire or other specified payments withholding must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessLabourHireOrOtherPayments.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PSS.000015">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PSS.000015</Code>
      <Description>Tax withheld for Attributed Personal Services Income is not in a valid monetary format</Description>
      <LongDescription>Tax withheld for Attributed Personal Services Income must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldPersonalServicesIncome.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PSS.000007">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PSS.000007</Code>
      <Description>Gross payment for Voluntary agreement withholding is not in a valid monetary format</Description>
      <LongDescription>Gross payment for Voluntary agreement withholding must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>lrla.02.00:Remuneration.VoluntaryAgreementGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PSS.000008">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PSS.000008</Code>
      <Description>Gross payment for Labour hire or other specified payments withholding is not in a valid monetary format</Description>
      <LongDescription>Gross payment for Labour hire or other specified payments withholding must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>lrla.02.00:Remuneration.LabourHireArrangementPaymentGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PSS.000014">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PSS.000014</Code>
      <Description>Gross payment for Attributed Personal Services Income is not in a valid monetary format</Description>
      <LongDescription>Gross payment for Attributed Personal Services Income must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>lrla.02.17:Remuneration.PersonalServicesIncome.AttributedGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PSS.000018">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PSS.000018</Code>
      <Description>Payer's name - Family name contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = [ ] ; : ' " , . ? / or a space character</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PSS.000019">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PSS.000019</Code>
      <Description>Payer's name - Given name contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = [ ] ; : ' " , . ? / or a space character</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.GivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PSS.000022">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PSS.000022</Code>
      <Description>Payer's name - Other given names contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 @ $ % &amp; * ( ) - = [ ] ; : ' " , . ? / or a space character</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PSS.000030">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PSS.000030</Code>
      <Description>Only a Payer ABN or Payer WPN may be supplied</Description>
      <LongDescription>If Payer ABN is supplied then Payer WPN must be blank</LongDescription>
      <Location>pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
 <!-- Rule removed for CR2723 <diagnostic id="DVR.ATO.PSS.000031">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PSS.000031</Code>
      <Description>Either a Payer ABN or Payer WPM must be provided</Description>
      <LongDescription>Either the payer ABN or the payer WPM must be supplied.</LongDescription>
      <Location>pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>-->
  <diagnostic id="DVR.ATO.PSS.000032">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PSS.000032</Code>
      <Description>Trading name and the family name have both been provided. Only one is permitted.</Description>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PSS.000024">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PSS.000024</Code>
      <Description>Gross payment type is incorrect</Description>
      <LongDescription>Only one type of gross payment type is allowed in a single RP Payer context sequence number</LongDescription>
      <Location>lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PSS.000025">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PSS.000025</Code>
      <Description>The Tax withheld or Gross payment type is invalid</Description>
      <LongDescription>The Tax withholding and Gross payment must be of the same type</LongDescription>
      <Location>lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PSS.000013">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PSS.000013</Code>
      <Description>Tax Amount withheld is incorrect</Description>
      <LongDescription>There is an occurrence of the Tax Amount withheld on the Payment Summary schedule for either foreign resident withholding, withholding where ABN not quoted, Voluntary agreement withholding, labour hire or other specified payments withholding or Attributed Personal Services Income payment being above 50% of the corresponding Gross Payment</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessForeignResident.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PSS.000023">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PSS.000023</Code>
      <Description>Tax withheld type is incorrect</Description>
      <LongDescription>Only one type of Tax withheld allowed in a single RP Payer context sequence number</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessForeignResident.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
</diagnostics>
