﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="ElementVariables" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>XBRL element variables that are applicable accross the LOS service.</title>

  <let name="RS12" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/pyde.02.21:Party.Type.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="RS17" value="xbrli:xbrl/pyde.02.00:AddressDetails.Line1.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="RS18" value="xbrli:xbrl/pyde.02.00:AddressDetails.Line2.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="RS19" value="xbrli:xbrl/pyde.02.00:AddressDetails.LocalityName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="RS20" value="xbrli:xbrl/pyde.02.00:AddressDetails.Postcode.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="RS24" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafot.02.00:RealEstateProperty.RentalIncomeFirstEarned.Date[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="RS28" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafot.02.00:RealEstateProperty.Ownership.Percent[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="RS29" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafot.02.00:RealEstateProperty.Acquisition.Date[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="RS30" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpo7.02.04:Assets.Investment.RealEstatePropertyPurchase.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="RS32" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpo7.02.04:Assets.Investment.RealEstatePropertySale.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="RS33" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr2.02.04:Income.RealEstateProperty.CapitalGainsNet.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="RS34" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr2.02.04:Expense.RealEstateProperty.PlantRecoupedDepreciationOnSale.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="RS36" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafot.02.00:RealEstateProperty.LoanRenegotiated.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="RS59" value="xbrli:xbrl/bafpr2.02.04:Income.RealEstateProperty.RentalNet.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  
</pattern>